CometAPI の POST /v1/videos を通じて Veo3 動画を非同期で生成し、task id を返し、8 秒クリップの先頭/末尾フレームガイダンスをサポートします。
curl --request POST \
--url https://api.cometapi.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'prompt=A paper kite floats above a field.' \
--form input_reference='@example-file'{
"created_at": 1773297229,
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"model": "veo_3_1-4K",
"object": "video",
"progress": 0,
"seconds": "",
"size": "16x9",
"status": "queued"
}/v1/videos ルートを使って Veo ジョブを開始します。model を設定する際は、Models page から現在の Veo エイリアスを選択してください。
input_reference ファイルは送信しないinput_reference を 1 つ送信するinput_reference ファイルを 2 つ送信する共通の動画エンドポイントをポーリング
model フィールドには、送信したエイリアスではなく、解決後のバックエンド model id が表示される場合があります。現在の Veo エイリアスは Models page で確認してください。Bearer token authentication. Use your CometAPI key.
Text prompt for the video job.
"A paper kite floats above a field."
CometAPI Veo alias. Use a current Veo alias from the Models page. The response may resolve this alias to a provider model id.
"veo3-fast"
Orientation hint used by the wrapper. Use a landscape-like value such as 16x9 or a portrait-like value such as 9x16.
"16x9"
Optional image input. Send one file for image-to-video or two ordered files for first-frame and last-frame guidance.
curl --request POST \
--url https://api.cometapi.com/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'prompt=A paper kite floats above a field.' \
--form input_reference='@example-file'{
"created_at": 1773297229,
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"model": "veo_3_1-4K",
"object": "video",
"progress": 0,
"seconds": "",
"size": "16x9",
"status": "queued"
}